Criar um fragmento de modelo

Um fragmento de modelo é o conteúdo do modelo, identificado de forma exclusiva por seu canal e localidade. Para criar um fragmento, você precisará já ter criado um modelo.

ChaveDescrição
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

TEMPLATE_ID

The custom template ID

Escreva o código

Adicione o seguinte ao arquivo ` create-template-fragment.sh`:

curl -X POST "https://api.nexmo.com/v2/verify/templates/$VERIFY_TEMPLATE_ID/template_fragments" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json' \
  -d $'{
	  "channel": "sms",
    "locale": "en-us",
    "text": "The authentication code for your ${brand} is: ${code}"
  }'

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

sh create-template-fragment.sh

Pré-requisitos

npm install @vonage/server-sdk

Crie um arquivo chamado ` create-template-fragment.js ` e insira o seguinte código:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` create-template-fragment.js`:

vonage.verify2.createTemplateFragment(
  VERIFY_TEMPLATE_ID,
  {
    channel: 'sms',
    locale: 'en-us',
    text: 'The authentication code for your ${brand} is: ${code}',
  },
)
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

node create-template-fragment.js

Pré-requisitos

Adicione o seguinte ao arquivo ` build.gradle`:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Crie um arquivo chamado ` CreateTemplateFragment ` e adicione o código a seguir ao método ` main `:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao método ` main ` do arquivo ` CreateTemplateFragment `:

val existingTemplate = client.verify.template(VERIFY_TEMPLATE_ID)
val fragment = existingTemplate.createFragment(
    text = "The authentication code for your \${brand} is: \${code}",
    channel = FragmentChannel.SMS,
    locale = "en-us"
)
println(fragment.fragmentId)

Ver código-fonte completo

Execute seu código

Podemos usar o plugin “ aplicativo ” para o Gradle a fim de simplificar a execução do nosso aplicativo. Atualize seu arquivo ` build.gradle ` com o seguinte:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Execute o seguinte comando ` gradle ` para rodar seu aplicativo, substituindo ` com.vonage.quickstart.kt.verify.templates.fragments ` pelo pacote que contém ` CreateTemplateFragment`:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.fragments.CreateTemplateFragment

Pré-requisitos

Adicione o seguinte ao arquivo ` build.gradle`:

implementation 'com.vonage:server-sdk:9.3.1'

Crie um arquivo chamado ` CreateTemplateFragment ` e adicione o código a seguir ao método ` main `:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao método ` main ` do arquivo ` CreateTemplateFragment `:

var fragment = client.getVerify2Client().createTemplateFragment(
		VERIFY_TEMPLATE_ID, new TemplateFragment(
				FragmentChannel.SMS, "en-us",
				"The authentication code for your ${brand} is: ${code}"
		)
);
System.out.println(fragment);

Ver código-fonte completo

Execute seu código

Podemos usar o plugin “ aplicativo ” para o Gradle a fim de simplificar a execução do nosso aplicativo. Atualize seu arquivo ` build.gradle ` com o seguinte:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Execute o seguinte comando ` gradle ` para rodar seu aplicativo, substituindo ` com.vonage.quickstart.verify2.templates ` pelo pacote que contém ` CreateTemplateFragment`:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.CreateTemplateFragment

Pré-requisitos

Install-Package Vonage

Crie um arquivo chamado ` CreateTemplateFragmentRequest.cs ` e insira o seguinte código:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` CreateTemplateFragmentRequest.cs`:

var request = Vonage.VerifyV2.CreateTemplateFragment.CreateTemplateFragmentRequest.Build()
    .WithTemplateId(TEMPLATE_ID)
    .WithText("The authentication code for your ${brand} is: ${code}")
    .WithLocale(Locale.EnUs)
    .WithChannel(VerificationChannel.Sms)
    .Create();
var response = await client.VerifyV2Client.CreateTemplateFragmentAsync(request);

Ver código-fonte completo

Pré-requisitos

composer require vonage/client

Crie um arquivo chamado ` create-template-fragment.php ` e insira o seguinte código:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` create-template-fragment.php`:

$createFragmentRequest = new CreateCustomTemplateFragmentRequest(
    'sms',
    'en-us',
    'The authentication code for your ${brand} is: ${code}'
);

$client->verify2()->createCustomTemplateFragment(TEMPLATE_ID, $createFragmentRequest);

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

php create-template-fragment.php

Pré-requisitos

gem install vonage

Crie um arquivo chamado ` create-template-fragment.rb ` e insira o seguinte código:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_PRIVATE_KEY)
)

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` create-template-fragment.rb`:

client.verify2.template_fragments.create(
  template_id: VERIFY_TEMPLATE_ID,
  channel: 'sms',
  locale: 'en-us',
  text: 'The authentication code for your ${brand} is: ${code}'
)

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

ruby create-template-fragment.rb